/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/sysutils/arduio-genom3/work/templates/ros/client/ros/arduio/srv/out1.srv
 *
 */


#ifndef ARDUIO_MESSAGE_OUT1REQUEST_H
#define ARDUIO_MESSAGE_OUT1REQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace arduio
{
template <class ContainerAllocator>
struct out1Request_
{
  typedef out1Request_<ContainerAllocator> Type;

  out1Request_()
    : n(0)
    , value(0.0)  {
    }
  out1Request_(const ContainerAllocator& _alloc)
    : n(0)
    , value(0.0)  {
    }



   typedef uint8_t _n_type;
  _n_type n;

   typedef float _value_type;
  _value_type value;




  typedef boost::shared_ptr< ::arduio::out1Request_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::arduio::out1Request_<ContainerAllocator> const> ConstPtr;

}; // struct out1Request_

typedef ::arduio::out1Request_<std::allocator<void> > out1Request;

typedef boost::shared_ptr< ::arduio::out1Request > out1RequestPtr;
typedef boost::shared_ptr< ::arduio::out1Request const> out1RequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::arduio::out1Request_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::arduio::out1Request_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace arduio

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'arduio': ['arduio/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::arduio::out1Request_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::arduio::out1Request_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::arduio::out1Request_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::arduio::out1Request_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::arduio::out1Request_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::arduio::out1Request_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::arduio::out1Request_<ContainerAllocator> >
{
  static const char* value()
  {
    return "a62dee3bc2dc433150c77aa347982f06";
  }

  static const char* value(const ::arduio::out1Request_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xa62dee3bc2dc4331ULL;
  static const uint64_t static_value2 = 0x50c77aa347982f06ULL;
};

template<class ContainerAllocator>
struct DataType< ::arduio::out1Request_<ContainerAllocator> >
{
  static const char* value()
  {
    return "arduio/out1Request";
  }

  static const char* value(const ::arduio::out1Request_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::arduio::out1Request_<ContainerAllocator> >
{
  static const char* value()
  {
    return "\n\
uint8 n\n\
float32 value\n\
";
  }

  static const char* value(const ::arduio::out1Request_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::arduio::out1Request_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.n);
      stream.next(m.value);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct out1Request_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::arduio::out1Request_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::arduio::out1Request_<ContainerAllocator>& v)
  {
    s << indent << "n: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.n);
    s << indent << "value: ";
    Printer<float>::stream(s, indent + "  ", v.value);
  }
};

} // namespace message_operations
} // namespace ros

#endif // ARDUIO_MESSAGE_OUT1REQUEST_H
